Topic Closed
  1. I had installed gpEasy to local computer and then made some developments .
  2. I moved it to another server as descriped in http://docs.gpeasy.com/index.php/Main/Moving%20To%20Another%20Server .
  3. Trying to loging cause the error :  Javascript is required to access site administration. ......
  4. I have tried the steps in the following post : http://gpeasy.com/Special_Forum?show=t371 but none has worked for me.
  5. But when I looked at the javascript console I have caught following error : 

         GET http://idmvphd2/themes/Seasons/js/jquery.ienav.js 404 (Not Found)

combine.php:164Uncaught SyntaxError: Unexpected token <
 

6. I have tied firefox 3.5 and google chrome but the error shows up .

10 years ago#1477

Josh S.
2K Posts
295K Downloads
16 Themes
18 Plugins

Looks like it's a problem with the the code in the combine.php file. Did you change that file while you were making your developments? Take a look at line 164 of the combine.php file or just upload the combine.php file from the original package.

10 years ago#1479

I have uploaded the original version but error still shows up : 

 

combine.php:164Uncaught SyntaxError: Unexpected token <
 
 

I inspected the corresponding lines but there is not any code that may cause such error .... 

 

By the way the path gpEasy installed is  http://idmvphd2/ugemweb2/ .... This is an intranet server which is not accesible from other networks .

10 years ago#1480

Josh S.
2K Posts
295K Downloads
16 Themes
18 Plugins

So it probably isn't the combine.php file. Sorry, I should have read your first message closer...

Take a look at this file:

http://idmvphd2/ugemweb2/include/combine.php?js[]=%2Finclude%2Fjs%2Fjquery.1.4.4.js&js[]=%2Finclude%2Fjs%2Fmain.js&js[]=%2Finclude%2Fjs%2Flogin.js

The combine.php file fetches multiple .js files and sends them to the user as a single file to improve server performance. It looks like the resulting combined javascript file is throwing the error in the browser.

Did you edit the jquery.1.4.4.js, main.js or login.js files? Either way, the problem should lie on line 164 of this combined file. If you want to post a couple of lines around 164, say 160 - 170, that should give us a good idea of what's happening.

10 years ago#1484

Ok now It is corrected . 

 

Source of the problem is that our development servers add a footer at the end of  php files however combine.php is producing a java script file and the footer is poor html and this seems to cause a syntax error which couses the corresponding error .

 

With our server admins we have removed the footer and the problem is solved.

 

Thanks for your very quick ,sincere response and help .  By the way I love gpEasy thanks for the product, too.

 

 

10 years ago#1486

Josh S.
2K Posts
295K Downloads
16 Themes
18 Plugins

Fabulous! Glad everything worked out.

10 years ago#1489

Topic Closed

 

News

elFinder 2.1.50 in Upcoming Release
12/28/2019

A new release for Typesetter is in the works with a lot of improvements including the ... Read More

Typesetter 5.1
8/12/2017

Typesetter 5.1 is now available for download. 5.1 includes bug fixes, UI/UX improvements, ... Read More

More News

HH-Support

Company located in T├│rshavn, Faroe Islands. * Webpage Design * Consultant & Provider of a wide range of programs for visually impaired and dyslextics.

Find out more about our Provider Spotlight

Log In

  Register